\name{getRowDualCLP}
\alias{getRowDualCLP}

\title{
  Retrieve all Row Dual Values
}

\description{
  Low level interface function to the COIN-OR Clp function
  \code{Clp_dualRowSolution}. Consult the COIN-OR Clp
  documentation for more detailed information.
}

\usage{
  getRowDualCLP(lp)
}

\arguments{
  \item{lp}{
    A pointer to a COIN-OR Clp problem object.
  }
}

\details{
  Interface to the C function \code{getRowDual} which calls
  the COIN-OR Clp functions \code{Clp_numberRows} and
  \code{Clp_dualRowSolution}.
}

\value{
  Returns all dual values of the auxiliary variables as a numeric vector.
}

\references{
   The COIN-OR Clp home page at
   \url{http://www.coin-or.org/projects/Clp.xml}
}

\author{
  Gabriel Gelius-Dietrich

  Maintainer: Gabriel Gelius-Dietrich <geliudie@uni-duesseldorf.de>
}

\keyword{ optimize }

